Docs

Get Area Resources

GET /Areas/{areaId}/resources

GET/Areas/{areaId}/resources

Returns the procurement resources assigned to the area for the event: status, quantity, dates, procurement, resource type, collaborator, property values, order lines, requests and schedule blocks. The area id comes from Events_GetAreas.

Path Parameters

FieldTypeRequiredDescription
areaIduuidRequired

Response

Type: GetAreaResourcesResponse[]

GetAreaResourcesResponse

FieldTypeDescription
iduuid
statusstring| null
quantitynumber
startDateTimedate-time| null
endDateTimedate-time| null
procurementGetAreaResourcesResponseProcurementInfo
typeGetAreaResourcesResponseResourceTypeInfo
collaboratorGetAreaResourcesResponseCollaboratorInfo
propertiesGetAreaResourcesResponseProperty[]| null
orderLinesGetAreaResourcesResponseOrderLine[]| null
requestsGetAreaResourcesResponseRequest[]| null
scheduleBlocksGetAreaResourcesResponseScheduleBlock[]| null

GetAreaResourcesResponseProcurementInfo

FieldTypeDescription
iduuid
namestring| null
descriptionstring| null
statusstring| null

GetAreaResourcesResponseResourceTypeInfo

FieldTypeDescription
iduuid
labelstring| null
iconstring| null
colorstring| null
lineItemLabelstring| null

GetAreaResourcesResponseCollaboratorInfo

FieldTypeDescription
iduuid
namestring| null

GetAreaResourcesResponseProperty

FieldTypeDescription
iduuid
resourceAttributeIduuid
valuestring| null

GetAreaResourcesResponseOrderLine

FieldTypeDescription
iduuid
orderIduuid
orderNamestring| null
quantitynumber

GetAreaResourcesResponseRequest

FieldTypeDescription
iduuid

GetAreaResourcesResponseScheduleBlock

FieldTypeDescription
iduuid
typeGetAreaResourcesResponseScheduleBlockScheduleBlockTypeInfo
namestring| null
startDateTimedate-time
endDateTimedate-time
activityIduuid| null
notesstring| null
areaIduuid| null
collaboratorIduuid| null
requestsGetAreaResourcesResponseRequest[]| null

GetAreaResourcesResponseScheduleBlockScheduleBlockTypeInfo

FieldTypeDescription
iduuid
namestring| null
colorstring| null
iconstring| null